- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
pdftron::PDF::EmbeddedTimestampVerificationResult Class Reference

`#include <EmbeddedTimestampVerificationResult.h>`

## Public Member Functions
| EmbeddedTimestampVerificationResult (const EmbeddedTimestampVerificationResult &other)
EmbeddedTimestampVerificationResult & | operator= (const EmbeddedTimestampVerificationResult &other)
| ~EmbeddedTimestampVerificationResult ()
void | Destroy ()
bool | GetVerificationStatus () const
VerificationResult::DigestStatus | GetCMSDigestStatus () const
VerificationResult::DigestStatus | GetMessageImprintDigestStatus () const
VerificationResult::TrustStatus | GetTrustStatus () const
UString | GetCMSDigestStatusAsString () const
UString | GetMessageImprintDigestStatusAsString () const
UString | GetTrustStatusAsString () const
bool | HasTrustVerificationResult () const
TrustVerificationResult | GetTrustVerificationResult () const
Crypto::DigestAlgorithm::Type | GetCMSSignatureDigestAlgorithm () const
Crypto::DigestAlgorithm::Type | GetMessageImprintDigestAlgorithm () const
std::vector< UString > | GetUnsupportedFeatures () const
| EmbeddedTimestampVerificationResult (TRN_EmbeddedTimestampVerificationResult impl)

## Public Attributes
TRN_EmbeddedTimestampVerificationResult | m_impl

## Detailed Description

This class represents the result of verifying a secure embedded timestamp digital signature.

Definition at line 24 of file EmbeddedTimestampVerificationResult.h.

## Constructor & Destructor Documentation

pdftron::PDF::EmbeddedTimestampVerificationResult::EmbeddedTimestampVerificationResult | ( | const EmbeddedTimestampVerificationResult & | other | ) |

pdftron::PDF::EmbeddedTimestampVerificationResult::~EmbeddedTimestampVerificationResult | ( |  | ) |

pdftron::PDF::EmbeddedTimestampVerificationResult::EmbeddedTimestampVerificationResult | ( | TRN_EmbeddedTimestampVerificationResult | impl | ) |

## Member Function Documentation

void pdftron::PDF::EmbeddedTimestampVerificationResult::Destroy | ( |  | ) |

VerificationResult::DigestStatus pdftron::PDF::EmbeddedTimestampVerificationResult::GetCMSDigestStatus | ( |  | ) | const

Retrieves the result condition associated with the CMS signed digest verification step.

Returns
  A DigestStatus-type enumeration value.

UString pdftron::PDF::EmbeddedTimestampVerificationResult::GetCMSDigestStatusAsString | ( |  | ) | const

Retrieves the result condition associated with the CMS signed digest verification step, as a descriptive string.

Returns
  a string

Note
  Output may change in future versions.

Crypto::DigestAlgorithm::Type pdftron::PDF::EmbeddedTimestampVerificationResult::GetCMSSignatureDigestAlgorithm | ( |  | ) | const

Retrieves an enumeration value representing the digest algorithm used to sign the timestamp token.

Returns
  A DigestAlgorithm enumeration value.

Crypto::DigestAlgorithm::Type pdftron::PDF::EmbeddedTimestampVerificationResult::GetMessageImprintDigestAlgorithm | ( |  | ) | const

Retrieves an enumeration value representing the digest algorithm used inside the message imprint field of the timestamp to digest the main signature value.

Returns
  A DigestAlgorithm enumeration value.

VerificationResult::DigestStatus pdftron::PDF::EmbeddedTimestampVerificationResult::GetMessageImprintDigestStatus | ( |  | ) | const

Retrieves the result condition associated with the message imprint digest verification step.

Returns
  A DigestStatus-type enumeration value.

UString pdftron::PDF::EmbeddedTimestampVerificationResult::GetMessageImprintDigestStatusAsString | ( |  | ) | const

Retrieves the result condition associated with the message imprint digest verification step, as a descriptive string.

Returns
  a string

Note
  Output may change in future versions.

VerificationResult::TrustStatus pdftron::PDF::EmbeddedTimestampVerificationResult::GetTrustStatus | ( |  | ) | const

Retrieves the result condition associated with the trust verification step.

Returns
  A TrustStatus-type enumeration value.

UString pdftron::PDF::EmbeddedTimestampVerificationResult::GetTrustStatusAsString | ( |  | ) | const

Retrieves the result condition associated with the trust verification step, as a descriptive string.

Returns
  a string

Note
  Output may change in future versions.

TrustVerificationResult pdftron::PDF::EmbeddedTimestampVerificationResult::GetTrustVerificationResult | ( |  | ) | const

Retrieves the detailed result associated with the trust step of the verification operation that returned this EmbeddedTimestampVerificationResult, if such a detailed trust result is available. Must call HasTrustVerificationResult first and check for a true result.

Note
  This function will throw if there is no trust result available.

Returns
  A TrustVerificationResult object.

std::vector<UString> pdftron::PDF::EmbeddedTimestampVerificationResult::GetUnsupportedFeatures | ( |  | ) | const

Retrieves reports about unsupported features encountered during verification of the timestamp. Current possible values: "GeneralizedTime format with length <number greater than 15>", "unsupported digest algorithm"

Returns
  a container of strings representing unsupported features encountered during verification of the timestamp

Note
  Output may change in future versions.

bool pdftron::PDF::EmbeddedTimestampVerificationResult::GetVerificationStatus | ( |  | ) | const

Retrieves the main verification status. The main status is determined based on the other statuses.

Returns
  A boolean representing whether or not the verification operation was completely successful.

bool pdftron::PDF::EmbeddedTimestampVerificationResult::HasTrustVerificationResult | ( |  | ) | const

Returns whether there is a detailed TrustVerificationResult in this EmbeddedTimestampVerificationResult.

Returns
  A boolean

EmbeddedTimestampVerificationResult& pdftron::PDF::EmbeddedTimestampVerificationResult::operator= | ( | const EmbeddedTimestampVerificationResult & | other | ) |

## Member Data Documentation

TRN_EmbeddedTimestampVerificationResult pdftron::PDF::EmbeddedTimestampVerificationResult::m_impl

Definition at line 152 of file EmbeddedTimestampVerificationResult.h.

The documentation for this class was generated from the following file:

- PDF/EmbeddedTimestampVerificationResult.h